import Radio from './Radio';
import Check from './Check';
import SubjectiveQuestions from './SubjectiveQuestions';
import Button from './Button';
import GroupButton from './GroupButton';
import Dialog from './Dialog';
import Pagination from './Pagination';
import CircleProgress from './CircleProgress';
import Stuff from './Stuff';
import AnalyzeSelect from './AnalyzeSelect';
import AnalyzeSubjective from './AnalyzeSubjective';

const KS_UI = {
    install(Vue){
        Vue.component('ksRadio',Radio);
        Vue.component('ksCheck',Check);
        Vue.component('ksButton',Button);
        Vue.component('ksGroupButton',GroupButton);
        Vue.component('ksSubjectiveQuestions',SubjectiveQuestions);
        Vue.component('ksDialog',Dialog);
        Vue.component('ksPagination',Pagination);
        Vue.component('ksCircleProgress',CircleProgress);
        Vue.component('ksStuff',Stuff);
        Vue.component('ksAnalyzeSelect',AnalyzeSelect);
        Vue.component('ksAnalyzeSubjective',AnalyzeSubjective);
    }
}

export default KS_UI